< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package zap
  Definition Classes
    hmrc
-  package api
  Definition Classes
    zap
- ScanCompleted
- ScanNotCompleted
- ScanStatus
- Scanner
- UrlsNotCaptured
- ZapAlert
- ZapAlertFilter
- ZapAlerts
- ZapContext
- ZapScan
- ZapSetUp
- ZapTearDown

c

uk.gov.hmrc.zap.api

# ZapScan 

###

#### class ZapScan extends Eventually

Linear Supertypes
Eventually, PatienceConfiguration, AbstractPatienceConfiguration, ScaledTimeSpans, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZapScan
2. Eventually
3. PatienceConfiguration
4. AbstractPatienceConfiguration
5. ScaledTimeSpans
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ZapScan(zapClient: ZapClient)

### Type Members

1.  final case class PatienceConfig extends Product with Serializable
   Definition Classes
     AbstractPatienceConfiguration

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  lazy val activeScanStatus: ScanStatus
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def eventually[T](fun: ⇒ T)(implicit config: PatienceConfig, pos: Position): T
   Definition Classes
     Eventually
10.  def eventually[T](interval: Interval)(fun: ⇒ T)(implicit config: PatienceConfig, pos: Position): T
    Definition Classes
      Eventually
11.  def eventually[T](timeout: Timeout)(fun: ⇒ T)(implicit config: PatienceConfig, pos: Position): T
    Definition Classes
      Eventually
12.  def eventually[T](timeout: Timeout, interval: Interval)(fun: ⇒ T)(implicit pos: Position): T
    Definition Classes
      Eventually
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def interval(value: Span): Interval
    Definition Classes
      PatienceConfiguration
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  lazy val passiveScanStatus: ScanStatus
22.  implicit def patienceConfig: PatienceConfig
    Definition Classes
      PatienceConfiguration → AbstractPatienceConfiguration
23.  final def scaled(span: Span): Span
    Definition Classes
      ScaledTimeSpans
24.  def spanScaleFactor: Double
    Definition Classes
      ScaledTimeSpans
25.  lazy val spiderRunStatus: ScanStatus
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  def timeout(value: Span): Timeout
    Definition Classes
      PatienceConfiguration
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  def triggerActiveScan()(implicit zapContext: ZapContext): String
30.  def triggerSpiderScan()(implicit zapContext: ZapContext): String
31.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Eventually

### Inherited from PatienceConfiguration

### Inherited from AbstractPatienceConfiguration

### Inherited from ScaledTimeSpans

### Inherited from AnyRef

### Inherited from Any

### Ungrouped